/* -------------------------------- 

Title: Language Picker
Descr: A custom selector allowing users to choose their preferred language on a page
Thanks to CodyHouse 

-------------------------------- */
*,
*::after,
*::before {
    box-sizing: inherit
}


:root,
[data-theme=default] {
    --color-primary-darker: hsl(220, 90%, 36%);
    --color-primary-darker-h: 220;
    --color-primary-darker-s: 90%;
    --color-primary-darker-l: 36%;
    --color-primary-dark: hsl(220, 90%, 46%);
    --color-primary-dark-h: 220;
    --color-primary-dark-s: 90%;
    --color-primary-dark-l: 46%;
    --color-primary: hsl(0, 84%, 13%);
    --color-primary-h: 220;
    --color-primary-s: 90%;
    --color-primary-l: 56%;
    --color-primary-light: hsl(220, 90%, 66%);
    --color-primary-light-h: 220;
    --color-primary-light-s: 90%;
    --color-primary-light-l: 66%;
    --color-primary-lighter: hsl(220, 90%, 76%);
    --color-primary-lighter-h: 220;
    --color-primary-lighter-s: 90%;
    --color-primary-lighter-l: 76%;
    --color-accent-darker: hsl(355, 90%, 41%);
    --color-accent-darker-h: 355;
    --color-accent-darker-s: 90%;
    --color-accent-darker-l: 41%;
    --color-accent-dark: hsl(355, 90%, 51%);
    --color-accent-dark-h: 355;
    --color-accent-dark-s: 90%;
    --color-accent-dark-l: 51%;
    --color-accent: hsl(355, 90%, 61%);
    --color-accent-h: 355;
    --color-accent-s: 90%;
    --color-accent-l: 61%;
    --color-accent-light: hsl(355, 90%, 71%);
    --color-accent-light-h: 355;
    --color-accent-light-s: 90%;
    --color-accent-light-l: 71%;
    --color-accent-lighter: hsl(355, 90%, 81%);
    --color-accent-lighter-h: 355;
    --color-accent-lighter-s: 90%;
    --color-accent-lighter-l: 81%;
    --color-black: hsl(240, 8%, 12%);
    --color-black-h: 240;
    --color-black-s: 8%;
    --color-black-l: 12%;
    --color-white: hsl(0, 0%, 100%);
    --color-white-h: 0;
    --color-white-s: 0%;
    --color-white-l: 100%;
    --color-success-darker: hsl(94, 48%, 36%);
    --color-success-darker-h: 94;
    --color-success-darker-s: 48%;
    --color-success-darker-l: 36%;
    --color-success-dark: hsl(94, 48%, 46%);
    --color-success-dark-h: 94;
    --color-success-dark-s: 48%;
    --color-success-dark-l: 46%;
    --color-success: hsl(94, 48%, 56%);
    --color-success-h: 94;
    --color-success-s: 48%;
    --color-success-l: 56%;
    --color-success-light: hsl(94, 48%, 66%);
    --color-success-light-h: 94;
    --color-success-light-s: 48%;
    --color-success-light-l: 66%;
    --color-success-lighter: hsl(94, 48%, 76%);
    --color-success-lighter-h: 94;
    --color-success-lighter-s: 48%;
    --color-success-lighter-l: 76%;
    --color-error-darker: hsl(355, 90%, 41%);
    --color-error-darker-h: 355;
    --color-error-darker-s: 90%;
    --color-error-darker-l: 41%;
    --color-error-dark: hsl(355, 90%, 51%);
    --color-error-dark-h: 355;
    --color-error-dark-s: 90%;
    --color-error-dark-l: 51%;
    --color-error: hsl(355, 90%, 61%);
    --color-error-h: 355;
    --color-error-s: 90%;
    --color-error-l: 61%;
    --color-error-light: hsl(355, 90%, 71%);
    --color-error-light-h: 355;
    --color-error-light-s: 90%;
    --color-error-light-l: 71%;
    --color-error-lighter: hsl(355, 90%, 81%);
    --color-error-lighter-h: 355;
    --color-error-lighter-s: 90%;
    --color-error-lighter-l: 81%;
    --color-warning-darker: hsl(46, 100%, 41%);
    --color-warning-darker-h: 46;
    --color-warning-darker-s: 100%;
    --color-warning-darker-l: 41%;
    --color-warning-dark: hsl(46, 100%, 51%);
    --color-warning-dark-h: 46;
    --color-warning-dark-s: 100%;
    --color-warning-dark-l: 51%;
    --color-warning: hsl(46, 100%, 61%);
    --color-warning-h: 46;
    --color-warning-s: 100%;
    --color-warning-l: 61%;
    --color-warning-light: hsl(46, 100%, 71%);
    --color-warning-light-h: 46;
    --color-warning-light-s: 100%;
    --color-warning-light-l: 71%;
    --color-warning-lighter: hsl(46, 100%, 81%);
    --color-warning-lighter-h: 46;
    --color-warning-lighter-s: 100%;
    --color-warning-lighter-l: 81%;
    --color-bg: hsl(0, 0%, 100%);
    --color-bg-h: 0;
    --color-bg-s: 0%;
    --color-bg-l: 100%;
    --color-contrast-lower: hsl(0, 0%, 95%);
    --color-contrast-lower-h: 0;
    --color-contrast-lower-s: 0%;
    --color-contrast-lower-l: 95%;
    --color-contrast-low: hsl(240, 1%, 83%);
    --color-contrast-low-h: 240;
    --color-contrast-low-s: 1%;
    --color-contrast-low-l: 83%;
    --color-contrast-medium: hsl(240, 1%, 48%);
    --color-contrast-medium-h: 240;
    --color-contrast-medium-s: 1%;
    --color-contrast-medium-l: 48%;
    --color-contrast-high: hsl(240, 4%, 20%);
    --color-contrast-high-h: 240;
    --color-contrast-high-s: 4%;
    --color-contrast-high-l: 20%;
    --color-contrast-higher: hsl(240, 8%, 12%);
    --color-contrast-higher-h: 240;
    --color-contrast-higher-s: 8%;
    --color-contrast-higher-l: 12%
}

[data-theme] {
    background-color: #fff;
    background-color: var(--color-bg);
    color: #313135;
    color: var(--color-contrast-high)
}

:root {
    --space-unit: 1em;
    --space-xxxxs: calc(0.125*var(--space-unit));
    --space-xxxs: calc(0.5*var(--space-unit));
    --space-xxs: calc(0.375*var(--space-unit));
    --space-xs: calc(0.5*var(--space-unit));
    --space-sm: calc(0.75*var(--space-unit));
    --space-md: calc(0.25*var(--space-unit));
    --space-lg: calc(2*var(--space-unit));
    --space-xl: calc(3.25*var(--space-unit));
    --space-xxl: calc(5.25*var(--space-unit));
    --space-xxxl: calc(8.5*var(--space-unit));
    --space-xxxxl: calc(13.75*var(--space-unit));
    --component-padding: var(--space-md)
}

@supports(--css:variables) {
    @media(min-width: 6rem) {
        :root {
            --space-unit: 1.25em
        }
    }
}


:root {
    --radius: 0.25em;
    --shadow-sm: 0 1px 1px rgba(0, 0, 0, .2), 0 1px 8px rgba(0, 0, 0, .1);
    --shadow-md: 0 1px 8px rgba(0, 0, 0, .1), 0 8px 24px rgba(0, 0, 0, .15);
    --shadow-lg: 0 1px 8px rgba(0, 0, 0, .1), 0 16px 48px rgba(0, 0, 0, .1), 0 24px 60px rgba(0, 0, 0, .1);
    --transition-bounce: cubic-bezier(0.175, 0.885, 0.32, 1.275);
    --transition-ease-in-out: cubic-bezier(0.645, 0.045, 0.355, 1);
    --transition-ease-in: cubic-bezier(0.55, 0.055, 0.675, 0.19);
    --transition-ease-out: cubic-bezier(0.215, 0.61, 0.355, 1)
}

:root {
    --font-primary: sans-serif;
    --text-base-size: 1em;
    --text-scale-ratio: 1.2;
    --text-xs: calc(1em/var(--text-scale-ratio)/var(--text-scale-ratio));
    --text-sm: calc(var(--text-xs)*var(--text-scale-ratio));
    --text-md: calc(var(--text-sm)*var(--text-scale-ratio)*var(--text-scale-ratio));
    --text-lg: calc(var(--text-md)*var(--text-scale-ratio));
    --text-xl: calc(var(--text-lg)*var(--text-scale-ratio));
    --text-xxl: calc(var(--text-xl)*var(--text-scale-ratio));
    --text-xxxl: calc(var(--text-xxl)*var(--text-scale-ratio));
    --body-line-height: 1.4;
    --heading-line-height: 1.2;
    --font-primary-capital-letter: 1
}

@supports(--css:variables) {
    @media(min-width: 64rem) {
        :root {
            --text-base-size: 1.25em;
            --text-scale-ratio: 1.25
        }
    }
}




:root {
    --btn-font-size: 1em;
    --btn-sm: calc(var(--btn-font-size) - 0.2em);
    --btn-md: calc(var(--btn-font-size) + 0.2em);
    --btn-lg: calc(var(--btn-font-size) + 0.4em)
}

.btn {
    display: -ms-inline-flexbox;
    display: inline-flex;
    position: relative;
    white-space: nowrap;
    text-decoration: none;
    line-height: 1;
    padding: .5em .75em;
    padding: var(--space-xs) var(--space-sm);
    border-radius: .25em;
    font-size: 1em;
    font-size: var(--btn-font-size);
    -ms-flex-pack: center;
    justify-content: center;
    -ms-flex-align: center;
    align-items: center
}

.btn--primary {
    background-color: #2a6df4;
    background-color: var(--color-primary);
    color: #fff;
    color: var(--color-white);
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale
}

.btn--subtle {
    color: #ffffff;
   
    border: 1px solid #9b6b04;
    border: 1px solid var(--color-contrast-low)
}

.btn--accent {
    background-color: #f54251;
    background-color: var(--color-accent);
    color: #fff;
    color: var(--color-white);
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale
}

.btn--disabled {
    cursor: not-allowed;
    box-shadow: none;
    opacity: .6
}

.btn--sm {
    font-size: .8em;
    font-size: var(--btn-sm)
}

.btn--md {
    font-size: 1.2em;
    font-size: var(--btn-md)
}

.btn--lg {
    font-size: 1.4em;
    font-size: var(--btn-lg)
}

.btn--full-width {
    display: -ms-flexbox;
    display: flex;
    width: 100%
}

.btn .icon {
    color: inherit;
    -ms-flex-negative: 0;
    flex-shrink: 0
}

.btn--icon-text {
    -ms-flex-align: center;
    align-items: center
}

.btn--icon-text>*:nth-child(2) {
    margin-left: .375rem;
    margin-left: var(--space-xxs)
}

.btn--icon {
    padding: .5rem;
    padding: var(--space-xs)
}


.language-picker {
    display: inline-block;
    position: relative
}

.js .language-picker__form {
    display: none
}

.language-picker__button .icon {
    height: 16px;
    width: 16px;
    margin-left: .25rem;
    margin-left: var(--space-xxxs)
}

.language-picker__dropdown {
    position: absolute;
    left: 0;
    top: 100%;
    width: 150px;
    max-height: 170px; /* Set a fixed height for the dropdown menu */
    overflow: auto; /* Enable scrolling for additional items */
    background-color: #ffffff;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.726), 0 1px 8px rgba(0, 0, 0, .1);
    padding: .375rem 0;
    border-radius: .25em;
    z-index: 5;
    --space-unit: 1rem;
    font-size: 1rem;
    visibility: hidden;
    opacity: 0;
    transition: visibility 0s .2s, opacity .2s, -webkit-transform .2s ease-out;
    transition: visibility 0s .2s, opacity .2s, transform .2s ease-out;
    transition: visibility 0s .2s, opacity .2s, transform .2s ease-out, -webkit-transform .2s ease-out;
}




.language-picker__button[aria-expanded=true]+.language-picker__dropdown {
    visibility: visible;
    opacity: 1;
    -webkit-transform: translateY(4px);
    -ms-transform: translateY(4px);
    transform: translateY(4px);
    transition: opacity .2s, -webkit-transform .2s ease-out;
    transition: opacity .2s, transform .2s ease-out;
    transition: opacity .2s, transform .2s ease-out, -webkit-transform .2s ease-out
}

.language-picker__item {
    text-decoration: none;
    padding: .5em 2em .5em 1.25em;
    padding: var(--space-xs) var(--space-lg) var(--space-xs) var(--space-md);
    color: #313135;
    color: var(--color-contrast-high)
}

.language-picker__item span {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis
}

.language-picker__item:hover {
    background-color: #f2f2f2;
    background-color: var(--color-contrast-lower)
}

.language-picker__item[aria-selected=true] {
    position: relative;
    background-color: #000000;
    background-color: var(--color-primary);
    color: #fff;
    color: var(--color-white);
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale
}

.language-picker__item[aria-selected=true]::after {
    content: '';
    position: absolute;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    height: 16px;
    width: 16px;
    right: .75rem;
    right: var(--space-sm);
    background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0naHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmcnIHZpZXdCb3g9JzAgMCAxNiAxNic+PHBvbHlsaW5lIHN0cm9rZS13aWR0aD0nMScgc3Ryb2tlPScjZmZmZmZmJyBmaWxsPSdub25lJyBzdHJva2UtbGluZWNhcD0ncm91bmQnIHN0cm9rZS1saW5lam9pbj0ncm91bmQnIHBvaW50cz0nMSw5IDUsMTMgMTUsMyAnLz48L3N2Zz4=);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center
}

.language-picker__flag {
    display: block;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center
}

.language-picker__flag::before {
    display: inline-block;
    -ms-flex-negative: 0;
    flex-shrink: 0;
    content: '';
    height: 16px;
    width: 16px;
    margin-right: .375rem;
    margin-right: var(--space-xxs);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center
}

.language-picker__dropdown .language-picker__flag::before {
    margin-right: .5rem;
    margin-right: var(--space-xs)
}

.language-picker__flag--de::before {
    background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0naHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmcnIHZpZXdCb3g9JzAgMCA0OCA0OCc+PHBhdGggZD0nTTQ4LDE4SDBWOGMwLTEuMTA1LDAuODk1LTIsMi0yaDQ0YzEuMTA1LDAsMiwwLjg5NSwyLDJWMTh6Jy8+PHJlY3QgeT0nMTgnIGZpbGw9JyNFRTAwMDAnIHdpZHRoPSc0OCcgaGVpZ2h0PScxMicvPjxwYXRoIGZpbGw9JyNGRENGMDAnIGQ9J000OCw0MGMwLDEuMTA1LTAuODk1LDItMiwySDJjLTEuMTA1LDAtMi0wLjg5NS0yLTJWMzBoNDhWNDB6Jy8+PC9zdmc+)
}

.language-picker__flag--en::before {
    background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0naHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmcnIHZpZXdCb3g9JzAgMCA0OCA0OCc+PHBhdGggZmlsbD0nIzAwMjc4MScgZD0nTTQ2LDZIMkMwLjg5Niw2LDAsNi44OTYsMCw4djMyYzAsMS4xMDQsMC44OTYsMiwyLDJoNDRjMS4xMDQsMCwyLTAuODk2LDItMlY4QzQ4LDYuODk2LDQ3LjEwNCw2LDQ2LDZ6Jy8+PHBhdGggZmlsbD0nI0U2RTZFNicgZD0nTTQ4LDhjMC0xLjEwNC0wLjg5Ni0yLTItMmgtNS4xNjFMMjgsMTUuODc2VjZoLTh2OS44NzZMNy4xNjEsNkgyQzAuODk2LDYsMCw2Ljg5NiwwLDh2Mi41ODZMMTIuMjM5LDIwSDB2OCBoMTIuMjM5TDAsMzcuNDE1VjQwYzAsMS4xMDQsMC44OTYsMiwyLDJoNS4xNjFMMjAsMzIuMTI0VjQyaDh2LTkuODc2TDQwLjgzOSw0Mkg0NmMxLjEwNCwwLDItMC44OTYsMi0ydi0yLjU4NUwzNS43NjEsMjhINDh2LTggSDM1Ljc2MUw0OCwxMC41ODZWOHonLz48cG9seWdvbiBmaWxsPScjRDEwRDI0JyBwb2ludHM9JzQ4LDIyIDI2LDIyIDI2LDYgMjIsNiAyMiwyMiAwLDIyIDAsMjYgMjIsMjYgMjIsNDIgMjYsNDIgMjYsMjYgNDgsMjYgJy8+PHBhdGggZmlsbD0nI0QxMEQyNCcgZD0nTTQ3LjAwMSw2LjMwN0wyOS4yLDIwaDMuMjhMNDgsOC4wNjJWOEM0OCw3LjI2OCw0Ny41ODcsNi42NTYsNDcuMDAxLDYuMzA3eicvPjxwYXRoIGZpbGw9JyNEMTBEMjQnIGQ9J00zMi40OCwyOEgyOS4ybDE3LjgwMSwxMy42OTNDNDcuNTg3LDQxLjM0NCw0OCw0MC43MzIsNDgsNDB2LTAuMDYyTDMyLjQ4LDI4eicvPjxwYXRoIGZpbGw9JyNEMTBEMjQnIGQ9J00xNS41MiwyOEwwLDM5LjkzOFY0MGMwLDAuNzMyLDAuNDEzLDEuMzQ0LDAuOTk5LDEuNjkzTDE4LjgsMjhIMTUuNTJ6Jy8+PHBhdGggZmlsbD0nI0QxMEQyNCcgZD0nTTE1LjUyLDIwaDMuMjhMMC45OTksNi4zMDdDMC40MTMsNi42NTYsMCw3LjI2OCwwLDh2MC4wNjJMMTUuNTIsMjB6Jy8+PC9zdmc+)
}

.language-picker__flag--fr::before {
    background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0naHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmcnIHZpZXdCb3g9JzAgMCA0OCA0OCc+PHBhdGggZmlsbD0nIzAxMjA5RicgZD0nTTE2LDQySDJjLTEuMTA1LDAtMi0wLjg5NS0yLTJWOGMwLTEuMTA1LDAuODk1LTIsMi0yaDE0VjQyeicvPjxwYXRoIGZpbGw9JyNFRjQyMzQnIGQ9J000OCw0MGMwLDEuMTA1LTAuODk1LDItMiwySDMyVjZoMTRjMS4xMDUsMCwyLDAuODk1LDIsMlY0MHonLz48cmVjdCB4PScxNicgeT0nNicgZmlsbD0nI0U2RTZFNicgd2lkdGg9JzE2JyBoZWlnaHQ9JzM2Jy8+PC9zdmc+)
}

.language-picker__flag--it::before {
    background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0naHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmcnIHZpZXdCb3g9JzAgMCA0OCA0OCc+PHBhdGggZmlsbD0nIzAwOTM0NScgZD0nTTE2LDQySDJjLTEuMTA1LDAtMi0wLjg5NS0yLTJWOGMwLTEuMTA1LDAuODk1LTIsMi0yaDE0VjQyeicvPjxwYXRoIGZpbGw9JyNDRjJCMzYnIGQ9J000OCw0MGMwLDEuMTA1LTAuODk1LDItMiwySDMyVjZoMTRjMS4xMDUsMCwyLDAuODk1LDIsMlY0MHonLz48cmVjdCB4PScxNicgeT0nNicgZmlsbD0nI0U2RTZFNicgd2lkdGg9JzE2JyBoZWlnaHQ9JzM2Jy8+PC9zdmc+)
}

.language-picker__flag--sw::before {
    background-image: url(data:image/png;base64,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);
}


.language-picker__flag--es::before {
    background-image: url(data:image/jpeg;base64,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)
}


.language-picker__flag--zh::before {
    background-image: url(data:image/jpeg;base64,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)
}

.language-picker__flag--ar::before {
    background-image: url(https://upload.wikimedia.org/wikipedia/commons/thumb/0/0d/Flag_of_Saudi_Arabia.svg/255px-Flag_of_Saudi_Arabia.svg.png)
}

.language-picker__flag--ru::before {
    background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAQQAAACtCAMAAABhsvGqAAAAGFBMVEX////VKx4AOabM0OYAIKAAOqysMFXYKxcmC+07AAAA5klEQVR4nO3QgU0DARAEsd9LQvrvGDRdINkl+HkAAAAAAAAAAAAAAAAAAPg/XryeN+/nOAknIRJOQiSchEg4CZFwEiLhJETCSYiEkxAJJyESTkIknIRIOAmRcBIi4SREwkmIhJMQCSchEk5CJJyESDgJkXASIuEkRMJJiISTEAknIRJOQiSchDwfPs8PP8+X7zMmYRIiYRIiYRIiYRIiYRIiYRIiYRIiYRIiYRIiYRIiYRIiYRIiYRIiYRIiYRIiYRIiYRIiYRIiYRIiYRIiYRIiYRIiYRIiYRIiYRIiYRIiYRIi4c8vbmXB/YVGyysAAAAASUVORK5CYII==)
}
.language-picker--hide-label .language-picker__button .icon {
    margin-left: 0
}

.language-picker--hide-label .language-picker__button em {
    display: none
}

.language-picker--hide-label .language-picker__button .language-picker__flag::before {
    margin-right: .25rem;
    margin-right: var(--space-xxxs)
}